Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List all markets

Retrieves markets configured for the specified application with pagination, including their locale, currency, and country code settings.

GET/api/v1/{team_slug}/{app_slug}/markets
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
pageinteger

Page number (default is 1)

per-pageinteger

Amount of markets per page. Minimum 1 and max 100 (default is 20)

Responses
200

List of markets

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/markets' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "active": true,
      "country_codes": [
        "string"
      ],
      "created_at": "string",
      "currency_code": "string",
      "id": "string",
      "locale": "string",
      "name": "string",
      "slug": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}